class Produto {
	private static int quantidadeProdutos=0;
	private String foto;
	private int id;
	private double valor;
	private String nome;
	private int quantidadeEmEstoque;
	private int estoqueMinimo;
	private String fornecedor;

	public Produto() {
		id = ++quantidadeProdutos;
		estoqueMinimo = 10;
		quantidadeEmEstoque = 0;
		valor = 0;
	}

	public Produto(double valor, String nome, int quantidadeEmEstoque, int estoqueMinimo) {
		this();
		this.valor = valor;
		this.nome = nome;
		this.quantidadeEmEstoque = quantidadeEmEstoque;
		this.estoqueMinimo = estoqueMinimo;
	}
	
	public String getFoto() { return foto; } 
	public int getId() { return id; }
	public double getValor() { return valor; }
	public String getNome() { return nome; }
	public int getQuantidadeEmEstoque() { return quantidadeEmEstoque; }
	public int getEstoqueMinimo() { return estoqueMinimo; }
	public String getFornecedor() { return fornecedor; }
	
	public void setFoto(String foto) { this.foto = foto; } 
	public void setId(int id) { this.id = id; }
	public void setValor(double valor) { this.valor = valor; }
	public void setNome(String nome) { this.nome = nome; }
	public void setQuantidadeEmEstoque(int quantidadeEmEstoque) { this.quantidadeEmEstoque = quantidadeEmEstoque; }
	public void setEstoqueMinimo(int estoqueMinimo) { this.estoqueMinimo = estoqueMinimo; }
	public void setFornecedor(String fornecedor) { this.fornecedor = fornecedor; }
	
	public boolean baixarEstoque(int q) {
		if (quantidadeEmEstoque >= q) {
			quantidadeEmEstoque -= q;
			return true;
		} else
			return false;
	} 

	public boolean baixarEstoque() {
		if (quantidadeEmEstoque >= 1) {
			quantidadeEmEstoque--;
			return true;
		} else
			return false;
	} 

	public void aumentarEstoque(int q) {
		quantidadeEmEstoque += q;
	}
	
	public boolean checarEstoqueMínimo() {
		if (quantidadeEmEstoque < estoqueMinimo)
			return true;
		else
			return false;
	}
	
	public String toString() {
		String print = "Produto " + nome + " de id: " + id;
		print += " custa R$" + valor + " e tem " + quantidadeEmEstoque + " em estoque";
		return print;
		
	}
	
	public static int getQtdProdutos() {
		return quantidadeProdutos;
	}
}
